.button-new-type {
  height: calc(100vh - 48px);
  overflow-y: auto;
  margin-top: 3rem;
  margin-left: auto;
  margin-right: auto;
  &__svg {
    display: flex;
    justify-content: center;
  }
  &__content {
    height: 100%;
  }
  &__content-scroll {
      overflow-y: auto;
      border: none;
      width: 100%;
      background: none;
      padding: 0;
      height: 100%;
      &:focus {
        outline: none;
      }
  }
  &__close-container {
    height: 100%;
    position: absolute;
    top: -5vh;
    z-index: 1;
    width: 100%;
    border: none;
    background: none;
    padding: 0;
  }
  &__body {
    border: none;
    background: $color-ligth-gray;
    max-width: rem(500px);
    height: auto;
    border-radius: 0 0 .5rem .5rem;
    padding-top: 0;
    padding-bottom: 0;
    &:focus {
      outline: none;
    }
    &-svg-image {
      height: 100%;
      width: 100%;
      min-height: rem(100px);
      max-width: rem(350px);
      max-height: rem(350px);
    }
    &-svg-container {
      min-height: rem(100px);
      text-align: center;
      display: flex;
      justify-content: center;
      align-items: flex-end;
    }
  }
  &__text {
    font-size: 0.85rem;
    margin-bottom: 0px;
    text-align: left;
  }
  &__buttons {
    margin: 1rem auto .5rem auto;
  }
  &__svg-container {
    position: absolute;
    top: 48px;
    left: 0;
    width: 100vw;
  }
  &__link-index {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100%;
  }
}

@media screen and (min-width: 992px) {
  .button-new-type {
    max-height: calc(700px - 48px);
    height: calc(90vh - 48px);
    &__content-has-scroll {
      margin-left: calc((100vw - 500px) / 2);
      display: block;
    }
    &__body {
      position: relative;
      z-index: 50;
      overflow-y: auto;
    }
  }
}
